import React from 'react'
import BaseTmp from '@/components/BaseTmp'
import { Row, Col, Button, Table, Space, Divider } from 'antd'

const BankManage = () => {


  const columns = [
    {
      title: '序号',
      dataIndex: 'index',
      key: 'index'
    },
    {
      title: '题库名称',
      dataIndex: 'BankName',
      key: 'BankName'
    },
    {
      title: '操作',
      dataIndex: 'action',
      key: 'action',
      render: () => 
        <Space>   
          <a>编辑</a>
          <Divider type="horizontal" />
          <a>删除</a>
        </Space>
    }
  ]

  const dataSource = [
    {
      index: '1',
      CategoryName: '赛前练习',
      card: 23
    }
  ]

  
  return (
    <BaseTmp>

      <Row justify="end" >
        <Col>
          <Button type="primary" > 新增 </Button>
        </Col>
      </Row>

      <Table 
        style={{marginTop: '20px'}} 
        dataSource={dataSource}  
        columns={columns} 
      />

  
    </BaseTmp>
  )
}



export default BankManage


