import { message } from 'antd';
import { request } from 'umi'
import Global from "@/common/global"

const proxyApi = Global.getIsDev ? '/api' : 'https://open.luojigou.vip'
// const proxyApi = Global.getIsDev ? '/api' : 'http://192.168.1.2/question-api'

export const CRequest = <T>(
  url: string,
  data: any
): Promise<T> => {
  return new Promise( async resolve => {
    let _url = proxyApi + url
    const $r = (await request(_url, data))
    console.log("$r:", $r);
    if ( $r.status === 400 ) {
      message.error($r.message)
    } else {
      resolve($r)
    }
    
    // resolve( )
  })
}


