﻿export default [
  {
    path: '/user',
    layout: false,
    routes: [
      {
        path: '/user',
        routes: [
          {
            name: 'login',
            path: '/user/login',
            component: './user/Login',
          },
        ],
      },
      {
        component: './404',
      },
    ],
  },
  {
    path: '/QuestionBankManage',
    name: '题库',
    icon: 'smile',
    access: 'canAdmin',
    routes: [
      {
        path: '/QuestionBankManage/question-bank',
        name: '题库名称',
        icon: 'smile',
        component: './QuestionBankManage/QuestionBank/index',
      },
      {
        path: '/QuestionBankManage/question-card',
        name: '题卡',
        icon: 'smile',
        component: './QuestionBankManage/QuestionCard/index',
      },
      {
        path: '/QuestionBankManage/question-book',
        name: '教材',
        icon: 'smile',
        component: './QuestionBankManage/QuestionBook/index',
      },
      {
        path: '/QuestionBankManage/opration-card',
        name: '创建题卡',
        icon: 'smile',
        hideInMenu: true,
        component: './QuestionBankManage',
      },
      {
        path: '/QuestionBankManage/BankManage',
        name: '题库管理',
        icon: 'smile',
        component: './QuestionBankManage/BankManage/index',
      },
      {
        path: '/QuestionBankManage/CategoryName',
        name: '分类名称',
        icon: 'smile',
        component: './QuestionBankManage/CategoryName/index',
      },
      // {
      //   path: '/QuestionBankManage/Ability',
      //   name: '能力点',
      //   icon: 'smile',
      //   component: './Ability',
      // },
      {
        component: './404',
      },
    ],
  },
  {
    path: '/BaseSetting',
    name: '基本配置',
    icon: 'smile',
    access: 'canAdmin',
    routes: [
      {
        path: '/BaseSetting/SchoolSection',
        name: '学段设置',
        icon: 'smile',
        component: './BaseStting/SchoolSection/index',
      },
    ]
  },
  {
    path: '/',
    redirect: '/QuestionBankManage/question-bank',
  },
  {
    component: './404',
  },
];
